Summary:	Utility library used in many applications by LinuxBrit
Summary(pl.UTF-8):	Biblioteka narzędziowa używana w wielu aplikacjach LinuxBrit
Name:		giblib
Version:	1.2.4
Release:	5
License:	MIT
Group:		X11/Libraries
Source0:	http://www.linuxbrit.co.uk/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	c810ef5389baf24882a1caca2954385e
Patch0:		%{name}-pc.patch
Patch1:		%{name}-imlib2.patch
URL:		http://www.linuxbrit.co.uk/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	imlib2-devel >= 1.0.0
BuildRequires:	libtool
Requires:	imlib2 >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
giblib is a utility library used by many of the applications LinuxBrit
writes. It incorporates doubly linked lists, some string functions,
and a wrapper for imlib2. The wrapper does two things. It gives you
access to fontstyles, which can be loaded from files, saved to files
or defined dynamically through the API. It also, and more importantly,
wraps imlib2's context API to simplify calls.

%description -l pl.UTF-8
giblib to biblioteka narzędziowa używana w wielu aplikacjach autorstwa
LinuxBrit. Zawiera dwukierunkowe listy, funkcje do obsługi łańcuchów
znaków i wrapper dla Imlib2. Wrapper robi dwie rzeczy: dostęp do styli
fontów, które mogą być wczytywane z plików, zapisywane do plików lub
definiowane dynamicznie poprzez API, oraz upraszcza wywołania
niektórych funkcji Imlib2.

%package devel
Summary:	Header files for giblib
Summary(pl.UTF-8):	Pliki nagłówkowe giblib
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	imlib2-devel >= 1.0.0

%description devel
Header files for giblib.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki giblib.

%package static
Summary:	giblib static library
Summary(pl.UTF-8):	Statyczna biblioteka giblib
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of giblib library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki giblib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgiblib.la

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libgiblib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgiblib.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/giblib-config
%attr(755,root,root) %{_libdir}/libgiblib.so
%{_includedir}/giblib
%{_pkgconfigdir}/giblib.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgiblib.a
%changelog
* Fri Jul 29 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/giblib.git;a=log;h=master

* Fri Jul 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 05f0ec9
- added imlib2 patch (use pkg-config if imlib2-config does not exist)

* Fri Jul 29 2022 Jakub Bogusz <qboosh@pld-linux.org> b7545c5
- drop .la file; release 4

* Sun Jan 12 2014 Jakub Bogusz <qboosh@pld-linux.org> bf604e8
- added pc patch (don't store LDFLAGS in pkg-config --libs), package .pc file
- verbose bin, lib files, cleanup

* Sat Jan 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c3a5bda
- ghost soname symlink
- rel 3

* Thu Dec 04 2008 hawk <hawk@pld-linux.org> e0f8612
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1e3e8ff
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f9e849a
- converted to UTF-8

* Sun Sep 03 2006 Elan Ruusamäe <glen@pld-linux.org> 54d4113
- strict internal deps

* Tue Sep 21 2004 paladine <paladine@pld-linux.org> afeae7c
- updated to 1.2.4

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> d36cc66
- mass commit: cosmetics (removed trailing white spaces)

* Mon May 26 2003 Michal Moskal <michal@moskal.me> f679ae0
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> ee7075e
- massive attack s/pld.org.pl/pld-linux.org/

* Tue May 20 2003 leafnode <leafnode@pld-linux.org> 2d1178b
- updated to 1.2.3
- libtoolized

* Sat Jan 18 2003 juandon <witekfl@pld-linux.org> 2b9ea48
- removed two lines with define

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> daf35b0
- massive attack: no need for 755 for *.la

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> 38da5a0
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

* Wed May 22 2002 kloczek <kloczek@pld-linux.org> 5cdf14e
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

* Fri May 17 2002 Jakub Bogusz <qboosh@pld-linux.org> 4644640
- added descriptions, fixed License(!)

* Tue May 14 2002 Sebastian Zagrodzki <sebek@zagrodzki.net> 3ecd2a7
- initial release
- no descriptions yet

